Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFPolygon

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFShape
          org.apache.poi.hssf.usermodel.HSSFPolygon

    public class HSSFPolygon

extends HSSFShape

Author:
  Glen Stampoultzis (glens at superlinksoftware.com)

Field Summary

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT`

Method Summary
`int` | `getDrawAreaHeight()`
`int` | `getDrawAreaWidth()`
`int[]` | `getXPoints()`
`int[]` | `getYPoints()`
`void` | `setPoints(int[] xPoints, int[] yPoints)`
`void` | `setPolygonDrawArea(int width, int height)` Defines the width and height of the points in the polygon

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`countOfAllChildren, getAnchor, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getParent, isNoFill, setAnchor, setFillColor, setFillColor, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXPoints

    public int[] getXPoints()

### getYPoints

    public int[] getYPoints()

### setPoints

    public void setPoints(int[] xPoints,
                          int[] yPoints)

### setPolygonDrawArea

    public void setPolygonDrawArea(int width,
                                   int height)

  Defines the width and height of the points in the polygon

  Parameters:
    `width` -
    `height` -

### getDrawAreaWidth

    public int getDrawAreaWidth()

### getDrawAreaHeight

    public int getDrawAreaHeight()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.